> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /marinetraffic/companies/search

> Search the MarineTraffic maritime business directory by company name or browse by business sector

**Price:** 1 credit



## OpenAPI

````yaml /openapi/developer-data.json post /api/marinetraffic/companies/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/marinetraffic/companies/search:
    post:
      tags:
        - /marinetraffic
      summary: /marinetraffic/companies/search
      description: >-
        Search the MarineTraffic maritime business directory by company name or
        browse by business sector


        **Price:** 1 credit
      operationId: __api_marinetraffic_companies_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MarinetrafficCompaniesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MarinetrafficCompanySearchResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MarinetrafficCompaniesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        count:
          type: integer
          minimum: 1
        keyword:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        sector:
          anyOf:
            - $ref: '#/components/schemas/MarinetrafficSector'
            - type: 'null'
      type: object
      required:
        - count
    MarinetrafficCompanySearchResult:
      properties:
        '@type':
          type: string
          default: MarinetrafficCompanySearchResult
        id:
          type: string
        name:
          type: string
        trading_name:
          anyOf:
            - type: string
            - type: 'null'
        sector:
          anyOf:
            - type: string
            - type: 'null'
        tagline:
          anyOf:
            - type: string
            - type: 'null'
        website_url:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        url:
          type: string
      type: object
      required:
        - id
        - name
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    MarinetrafficSector:
      type: string
      enum:
        - Agriculture
        - Automotive
        - Aviation
        - Brokerage
        - Bunker & Oil Supplies
        - Cargo Shippers
        - Charterers
        - Chartering
        - Charts
        - Chemicals
        - Classification Societies / Flag States
        - Cleaning Services
        - Coast Guard
        - Commodity Trading
        - Construction
        - Container Sales and Trading
        - Crewing Services
        - Diving and Underwater Services
        - Dredging
        - Education / Research / Consultancy
        - Electronics
        - Energy
        - Engine Builders
        - Environmental / NGO
        - Fishing
        - Flag Administration
        - Freight Forwarder
        - Fresh Water Supply
        - Government / Military
        - Healthcare
        - Heavy Lifting
        - Hydrographic Services
        - Information Technology
        - Insurance / Finance / Legal
        - Legal Services
        - Logistics / Transport / Freight
        - Manufacturing
        - Marina
        - Marine Equipment Suppliers
        - Medical
        - Metals and Mining
        - Offshore Services
        - Oil and Gas
        - Other
        - P&I Clubs & Correspondents
        - Pilots
        - Port / Terminal Services
        - Port Agents
        - Port Authorities
        - Port Police
        - Publications
        - Real Estate
        - Retail and Consumer
        - Sale and Purchase
        - Search and Rescue
        - Security
        - Ship Breakers
        - Ship Builders / Engineering
        - Ship Chandlers
        - Ship Owners / Managers / Operators
        - Ship Repairs
        - Ship Services / Suppliers
        - Ship Tracking
        - Shipping Lines
        - Software / Technology
        - Sports
        - Surveyors
        - Taxi
        - Telecommunications
        - Tourism & Hospitality
        - Towage & Salvage
        - Transportation
        - Travel / Entertainment
        - Underwater Cable Operators
        - Warehousing
        - Waste Disposal
        - Weather & Routing Services
        - Yacht & Pleasure Craft Builders
        - Yacht Chartering
        - Yacht Equipment
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````